## ipywidgets 8.1.5

=== .binder/requirements.txt ===
bqplot
ipyleaflet
jupyterlab-myst
jupyterlab==4.0.7
matplotlib
nbclassic
networkx
notebook==7.0.5
numpy
pandas
scikit-image
scikit-learn
sympy

=== docs/requirements.txt ===
bqplot
build
docutils >=0.19
ipykernel
ipyleaflet
jupyter-client
jupyter-packaging
jupyterlab >=4
jupyterlite-core >=0.3.0,<0.4.0
jupyterlite-pyodide-kernel >=0.3.0,<0.4.0
matplotlib
myst-nb >=0.17,<0.18
numpy
packaging
pkginfo
pydata-sphinx-theme
recommonmark
scikit-image
scikit-learn
sphinx >=1.4.6
sphinx-autobuild
sphinx-autodoc-typehints
sphinx-copybutton
sphinxext-rediraffe
sympy

=== debian/changelog ===
ipywidgets (8.1.5-6) unstable; urgency=medium

  * Team upoad
  * run autopkgtest for all python version
  * d/rules: do not run javascript test (is is not ready yet)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 11 Mar 2025 09:47:08 +0100

ipywidgets (8.1.5-5) unstable; urgency=medium

  * Team upload.
  * break and replace jupyter-nbextension-jupyter-js-widgets

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 11 Mar 2025 09:28:28 +0100

ipywidgets (8.1.5-3) unstable; urgency=medium

  * Team upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Jan 2025 11:01:20 -0500

ipywidgets (8.1.5-2) unstable; urgency=medium

  * Team upload.
  * Re-Added python3-widgetsnbextension and python3-jupyterlab-widgets
    packages.
    They register the widgets for jupyterlab and the notebooks.

    ~$ jupyter labextension list
    JupyterLab v4.0.11
      /usr/share/jupyter/labextensions
        @jupyter-widgets/jupyterlab-manager v5.0.13 enabled OK (python,
        jupyterlab_widgets)

    ~$ jupyter nbextension list
    Known nbextensions:
      config dir: /etc/jupyter/nbconfig
        notebook section
          jupyter-js-widgets/extension  enabled
            - Validating: OK
  * Bug fix: "Errors when instantising widgets in Notebook - validation in
    Javascript fails (timeout)", thanks to Christian Holm Christensen
    (Closes: #1010797).
  * Bug fix: "fails to configure: json.decoder.JSONDecodeError", thanks to
    Norbert Preining (Closes: #875538).
  * Bug fix: "fails to remove (python error)", thanks to alberto (Closes:
    #849879).
  * Bug fix: "Fails to build source after successful build", thanks to
    Lucas Nussbaum (Closes: #1047065).
  * Bug fix: "Fails to build binary packages again after successful
    build", thanks to Lucas Nussbaum (Closes: #1049484).
  * Bug fix: "please include the javascript libraries", thanks to Julian
    Gilbey (Closes: #982752).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 25 Dec 2024 18:24:08 +0100

ipywidgets (8.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 13 Sep 2024 01:02:46 +0100

=== debian/control ===
Source: ipywidgets
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Gordon Ball <gordon@chronitis.net>,
 Ximin Luo <infinity0@debian.org>,
 Roland Mas <lolando@debian.org>,
Section: python
Priority: optional
Standards-Version: 4.6.2
Homepage: https://github.com/jupyter-widgets/ipywidgets
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-nodejs,
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 chai <!nocheck>,
 fonts-font-awesome,
 jupyter,
 jupyterlab,
 libjs-mathjax,
 libjs-requirejs,
 libjs-sizzle,
 node-ajv,
 node-backbone,
 node-css-loader,
 node-d3,
 node-d3-color,
 node-d3-format,
 node-es6-promise,
 node-expect.js,
 node-file-loader,
 node-find-root,
 node-jquery,
 node-jquery-ui,
 node-jupyterlab,
 node-jupyterlab-rendermime-interfaces,
 node-less,
 node-license-webpack-plugin,
 node-lodash,
 node-lumino,
 node-minipass,
 node-nouislider,
 node-postcss,
 node-postcss-cli,
 node-process,
 node-recast,
 node-requirejs,
 node-sanitize-html,
 node-semver,
 node-sinon,
 node-sinon-chai <!nocheck>,
 node-style-loader,
 node-types-estree,
 node-types-sanitize-html,
 node-types-underscore,
 node-typescript,
 node-underscore,
 node-url-loader,
 npm,
 pandoc,
 pkg-js-tools,
 python3-all,
# python3-bqplot,
 python3-comm (>= 0.2.1),
 python3-ipykernel <!nocheck>,
 python3-ipython,
 python3-jsonschema <!nocheck>,
 python3-jupyter-packaging,
 python3-matplotlib,
 python3-nbsphinx,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytz <!nocheck>,
 python3-recommonmark,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-traitlets,
 webpack,
Vcs-Git: https://salsa.debian.org/python-team/packages/ipywidgets.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/ipywidgets
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-ipywidgets
Architecture: all
Depends:
 python3-comm (>= 0.2.1),
 python3-jupyterlab-widgets,
 python3-widgetsnbextension,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ipywidgets-doc,
Description: Interactive widgets for the Jupyter notebook (Python 3)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package installs the library for Python 3 notebooks.

Package: python-ipywidgets-doc
Architecture: all
Section: doc
Depends:
 libjs-mathjax,
 libjs-requirejs,
 node-jupyter-widgets-html-manager,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Interactive widgets for the Jupyter notebook (documentation)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package installs documentation.

Package: python3-widgetsnbextension
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Enhances:
 python3-notebook,
Breaks:
 jupyter-nbextension-jupyter-js-widgets (<< 8.1.5-5),
Replaces:
 jupyter-nbextension-jupyter-js-widgets,
 jupyter-nbextension-jupyter-js-widgets (<< 8.1.5-5),
Description: Interactive widgets - Jupyter notebook extension (Python 3)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package contains the server-side Jupyter notebook extension as a Python 3
 module that may be installed via the notebook.nbextensions executable module.

Package: python3-jupyterlab-widgets
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Enhances:
 jupyterlab,
Description: Interactive widgets - Jupyterlab extension (Python 3)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package contains the server-side Jupyterlab extension as a Python 3
 module that may be installed via the jupyterlab.labextensions executable module.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1 # can also set this on each debian/rules command line
export LC_ALL=C.UTF-8

PYVERS=$(shell python3 -c 'import sysconfig;print (sysconfig.get_python_version())')
PYPATH=$(CURDIR)/debian/python3-ipywidgets/usr/lib/python$(PYVERS)/dist-packages

export YARNCOMMND=pkgjs-run

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean --buildsystem=nodejs

	PYBUILD_NAME=jupyterlab_widgets dh_auto_clean --buildsystem=pybuild -- --dir python/jupyterlab_widgets
	PYBUILD_NAME=widgetsnbextension dh_auto_clean --buildsystem=pybuild -- --dir python/widgetsnbextension
	PYBUILD_NAME=ipywidgets         dh_auto_clean --buildsystem=pybuild -- --dir python/ipywidgets

override_dh_auto_configure:
	dh_auto_configure --buildsystem=nodejs

	PYBUILD_NAME=jupyterlab_widgets dh_auto_configure --buildsystem=pybuild -- --dir python/jupyterlab_widgets
	PYBUILD_NAME=widgetsnbextension dh_auto_configure --buildsystem=pybuild -- --dir python/widgetsnbextension
	PYBUILD_NAME=ipywidgets         dh_auto_configure --buildsystem=pybuild -- --dir python/ipywidgets

override_dh_auto_build:
	dh_auto_build --buildsystem=nodejs

	PYBUILD_NAME=jupyterlab_widgets dh_auto_build --buildsystem=pybuild -- --dir python/jupyterlab_widgets
	PYBUILD_NAME=widgetsnbextension dh_auto_build --buildsystem=pybuild -- --dir python/widgetsnbextension
	PYBUILD_NAME=ipywidgets         dh_auto_build --buildsystem=pybuild -- --dir python/ipywidgets

XXXoverride_dh_sphinxdoc:
	dh_install
	PYTHONPATH=$(PYPATH) python3 -m sphinx -N -bhtml docs/source debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html
	ln -s /usr/share/javascript/requirejs/require.min.js debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html/_static
	mkdir -p debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html//nodejs/@jupyter-widgets/html-manager/dist
	touch debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html//nodejs/@jupyter-widgets/html-manager/dist/embed-amd.js
	dh_sphinxdoc

override_dh_auto_install:
	PYBUILD_NAME=jupyterlab_widgets dh_auto_install --buildsystem=pybuild -- --dir python/jupyterlab_widgets
	PYBUILD_NAME=widgetsnbextension dh_auto_install --buildsystem=pybuild -- --dir python/widgetsnbextension
	PYBUILD_NAME=ipywidgets         dh_auto_install --buildsystem=pybuild -- --dir python/ipywidgets

	# move the extension configuration
	cd debian/python3-widgetsnbextension; mv -f usr/etc .

override_dh_auto_test:
#	dh_auto_test --buildsystem=nodejs

	cd python/ipywidgets ; PYTHONPATH=$(PYPATH) pytest --cov=ipywidgets ipywidgets # || true

#override_dh_gencontrol:
#	echo "js:Built-Using=$(BUILTUSING)" >> debian/jupyter-nbextension-jupyter-js-widgets.substvars
#	dh_gencontrol

=== debian/tests/control ===
Tests: python3
Depends:
 python3-all,
 python3-ipykernel,
 python3-ipywidgets,
 python3-jsonschema,
 python3-pytest,
 python3-pytest-cov,
 python3-pytz,
Restrictions:
 allow-stderr,
 flaky,

## ipywidgets gallery-0.16

=== requirements.txt ===
ipywidgets>=7.6.3
